PgBouncer 1.13.0 PostgreSQL 数据库连接池

PgBouncer 1.13.0 发布了,pgbouncer 是 PostgreSQL 的轻量级连接池,支持会话连接池、事务连接池和语句连接池三种模式。

新版本更新内容主要有:

特性

添加配置设置 tcp_user_timeout,以设置相应的套接字选项

现在,client_tls_protocols 和 server_tls_protocols 默认为安全,这意味着仅启用 TLS 1.2 和 TLS 1.3。较旧的版本也仍受支持,只是未默认打开

添加对 systemd 服务通知的支持。现在,这允许使用 Type=notify 服务单元。计划在将来的版本中进行更多集成

修复

修复多行日志消息

正确处理从 auth_query 返回的空用户名

更新说明:https://www.pgbouncer.org/changelog.html#pgbouncer-113x